---
title: "Get Workflow Run"
slug: "get-workflow-run-2"
updated: 2026-02-11T20:38:32Z
published: 2026-02-11T22:15:21Z
canonical: "support.fullcast.com/get-workflow-run-2"
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fullcast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Run

Get/workflow/{workflow_id}/run/{run_id}

You can view the details of a workflow run via the API.

		
			

## Get Workflow Run

To view a workflow run, send a GET request to `https://api.copy.ai/api/workflow/&lt;workflow_id&gt;/run/&lt;run_id&gt;`.

You will receive a response with the details of the workflow run.

**For example:**

JSONJSON 

```json
{
	"status": "success",
	"data": {
		"status": "COMPLETE",
		"input": {
			"Input 1": "Inputs vary depending on the workflow used.",
      "Input 2": "The best way to see an example is to try it!"
		},
		"output": {
			"Output 1": "Outputs vary depending on the workflow used.",
			"Output 2": "The best way to see an example is to try it!"
		},
		"metadata": {
      "api": true
    },
		"createdAt": "2023-04-06T22:34:46.704Z",
		"id": "<run_id>",
		"credits": 2
	}
}
```

## Run status types[](https://docs.copy.ai/reference/single-workflow-run#run-status-types)

| Status | Description |
| --- | --- |
| `NEW` | The workflow run has just been created and is ready to be queued for processing. |
| `WAITING` | The workflow run is waiting for required resources or conditions to be met before it can proceed. |
| `PROCESSING` | The workflow run is currently being executed and processed. |
| `COMPLETE` | The workflow run has successfully finished processing and all steps have been completed. |
| `RETRYING` | The workflow run encountered an issue and is retrying the failed steps before proceeding. |
| `FAILED` | The workflow run has failed to complete due to an error, and further retries were unsuccessful. |

## Track or poll for progress[](https://docs.copy.ai/reference/single-workflow-run#tracking--poll-for-progress)

This endpoint can be used to check the progress of your workflow run in real-time.

You can do this by repeatedly calling the endpoint with a short delay between requests.

When the workflow is done running, the status will change to `COMPLETE`.

		
		
SecurityAPI Key: ApiKeyAuthHeader parameter namex-copy-ai-api-key

Copy.ai API key for authentication

Header parametersx-copy-ai-api-keystringRequired

Copy.ai API key

Path parametersworkflow_idstringRequired

ID of the workflow

run_idstringRequired

ID of the workflow run

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='93b27211-7aa8-4e08-a029-175f06f8703c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f660a762-456d-446a-a108-1665f7543fdd'>success</option>
</select>success

```json
{
  "status": "success",
  "data": {
    "output": {
      "text": "workflow run output"
    },
    "metadata": {
      "interestingValue": "doublelyInterestingValue"
    },
    "createdAt": "2023-09-27T18:34:13.091Z",
    "id": "WRUN-dc46baf3-cb19-4424-be04-95ba630409bf",
    "workflowRunId": "WRUN-dc46baf3-cb19-4424-be04-95ba630409bf",
    "workflowId": "WCFG-84e56597-ebaf-4b49-a98c-75cacd4aecaa",
    "credits": "9001"
  }
}
```

Expand Allobject  statusstring    
dataobject (WorkflowRunData)  idstring    
workflowRunIdstring    
workflowIdstring    
outputobject  
metadataobject  
createdAtstring  (date-time)    
creditsinteger    

400

Bad Request

404

Not Found

<select class='api-response-data' aria-label='Media type'><option value='c39c5e93-9df8-4ece-86c2-2a3c702f83ba'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='82bc0a1c-4bd5-4c4b-a90f-bc1199daddac'>notFound</option>
</select>notFound

```json
{
  "status": "error",
  "errorCode": "NOT_FOUND"
}
```

object  statusstring    
errorCodestring
